Bug 140045 - [patch] sysutils/zfs-snapshot-mgmt: respect ${PREFIX} and ${LOCALBASE}
Summary: [patch] sysutils/zfs-snapshot-mgmt: respect ${PREFIX} and ${LOCALBASE}
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-28 12:00 UTC by swell.k
Modified: 2009-11-20 18:50 UTC (History)
0 users

See Also:


Attachments
respect_PREFIX_and_LOCALBASE.diff (1.47 KB, patch)
2009-10-28 12:00 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2009-10-28 12:00:08 UTC
The port assumes that LOCALBASE is /usr/local:
- it'll not find ruby installed under different LOCALBASE
- it'll not find config file installed under different PREFIX
Comment 1 Edwin Groothuis freebsd_committer 2009-10-28 12:00:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

itetcu@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-10-28 12:00:31 UTC
Maintainer of sysutils/zfs-snapshot-mgmt,

Please note that PR ports/140045 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/140045

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-10-28 12:00:34 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 swell.k 2009-10-28 12:10:05 UTC
While here remove redundant

    PKGMESSAGE=	${WRKDIR}/pkg-message
Comment 5 marius 2009-10-29 12:16:56 UTC
Works for me. Please commit!
Comment 6 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-11-06 12:39:59 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 7 Martin Wilke freebsd_committer 2009-11-20 18:40:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 8 dfilter service freebsd_committer 2009-11-20 18:41:05 UTC
miwi        2009-11-20 18:40:52 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/zfs-snapshot-mgmt Makefile 
    sysutils/zfs-snapshot-mgmt/files pkg-message.in 
  Log:
  - Respect NOPORT*
  
  PR:             140045
  Submitted by:   Anonymous <swell.k@gmail.com>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.4       +6 -1      ports/sysutils/zfs-snapshot-mgmt/Makefile
  1.2       +1 -1      ports/sysutils/zfs-snapshot-mgmt/files/pkg-message.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"